﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Diagnostics;

namespace CMOS_MEA_Client
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            try
            {
                Application.Run(new MainForm());
            }
            catch (System.IO.FileLoadException e)
            {
                Trace.WriteLine(e.FileName);
                MessageBox.Show(string.Format("Could not load file {0}", e.FileName),
                Application.ProductName, MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
            catch (System.IO.FileNotFoundException e)
            {
                Trace.WriteLine(e.FileName);
                MessageBox.Show(string.Format("File {0} not found", e.FileName),
                Application.ProductName, MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
            catch (System.OutOfMemoryException e)
            {
                Trace.WriteLine(e.Message);
                //MessageBox.Show(string.Format("File {0} not found", e.FileName),
                //Application.ProductName, MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
            catch (Exception e)
            {
                MessageBox.Show(string.Format("Exception: {0}", e.Message),
                Application.ProductName, MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }
    }
}
