﻿using Mcs.CMOS.DeviceSettings;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Mcs.CMOS.SpikeView
{
    public partial class DlgSettingsSpikeViewTool : Form
    {

        SettingsSpikeViewTool settings; 
        public DlgSettingsSpikeViewTool(SettingsSpikeViewTool settings)
        {
            this.settings = settings;
            InitializeComponent();

            numericUpDownAccumulate.Value = settings.AccumulateDuration / 1000;
            numericUpDownDisplayRefresh.Value = settings.DisplayRefreshTime / 1000;
            numericUpDownSamplingTick.Value = settings.Tick;

            for (int i = 0; i < settings.SelectableChipTypes.Count; ++i)
            {
                comboBoxChipType.Items.Add(settings.SelectableChipTypes[i]);
            }
            comboBoxChipType.SelectedIndex = comboBoxChipType.FindStringExact(settings.ChipType.ToString());
        }

        private void DlgSettingsSpikeViewTool_Load(object sender, EventArgs e)
        {

        }

        private void OnButtonCloseClick(object sender, EventArgs e)
        {

        }

        private void OnComboBoxChipTypeSelectedIndexChanged(object sender, EventArgs e)
        {
            settings.ChipType = (enChipType)Enum.Parse(typeof(enChipType), ((ComboBox)sender).SelectedItem.ToString());
        }

        private void OnNUDSamplingTickValueChanged(object sender, EventArgs e)
        {
            settings.Tick = (long)(((NumericUpDown)sender).Value);
        }

        private void OnNUDAccumulateValueChanged(object sender, EventArgs e)
        {
            settings.AccumulateDuration = (long)(1000 * ((NumericUpDown)sender).Value);
        }

        private void OnNUDDisplayRefreshValueChanged(object sender, EventArgs e)
        {
            settings.DisplayRefreshTime = (long)(1000 * ((NumericUpDown)sender).Value);
        }
    }
}
