﻿using Mcs.CMOS.DeviceSettings;
using System;
using System.Collections.Generic;

namespace Mcs.CMOS.SpikeView
{
    public class SettingsSpikeViewTool
    {
        private long tick;
        private long accumulateDuration;
        private long displayRefreshTime;
        private enChipType chipType;


        public List<string> SelectableChipTypes
        {
            get
            {
                List<string> types = new List<string>(Enum.GetNames(typeof(enChipType)));
                types.Remove(enChipType.NotSupported.ToString());
                types.Remove(enChipType.Unknown.ToString());
                return types;
            }
        }

        public long Tick
        {
            get
            {
                return tick;
            }
            set
            {
                tick = value;
                if(EvtReset != null)
                {
                    EvtReset();
                }
            }
        }

        public long AccumulateDuration
        {
            get
            {
                return accumulateDuration;
            }
            set
            {
                accumulateDuration = value;
                if (EvtReset != null)
                {
                    EvtReset();
                }
            }
        }

        public long DisplayRefreshTime
        {
            get
            {
                return displayRefreshTime;
            }
            set
            {
                displayRefreshTime = value;
                if (EvtReset != null)
                {
                    EvtReset();
                }
            }
        }

        public enChipType ChipType
        {
            get
            {
                return chipType;
            }
            set
            {
                chipType = value;
                if (EvtReset != null)
                {
                    EvtReset();
                }
            }
        }



        public event Action EvtReset;


        public SettingsSpikeViewTool()
        {
            Tick = 50;
            AccumulateDuration = 2000000;
            DisplayRefreshTime = 200000;
            ChipType = enChipType.nMos16;
        }

    }
}
